<template>
  <div>
    <b-container>
      <b-row>
      <b-col sm="6">
        <div class="Img">
        <b-card-img
          class="ImagePerson"
          src="https://www.nicepng.com/png/full/192-1921815_-corgi-cartoon-face.png" style="width:130px; height: 150px;"
        ></b-card-img>
        </div>
      </b-col>

      <b-col sm="6">
        <header id="header">ใบสมัคร</header>
        <b-card-group deck class="mb-3" id="character">
          <b-card border-variant="Default" header="ลักษณะงานที่ต้องการ" class="text-left" header-bg-variant="info" style="font-size: 18px">
            <b-card-text>
              <b-row>
                <b-col>
                  <label id="position">ตำแหน่ง: </label><p style="display:inline;">  {{ jobrequimentperson.jobRequirements }}</p>
                </b-col>

                 <b-col sm="6">
                  <label id="type">ประเภทงานที่อยากทำ:</label><p style="display:inline;">  {{ jobrequimentperson.grauateDisciplines }}</p>
                </b-col>
              </b-row>

              <b-row>
                <b-col sm="12">
                  <label id="pattern">รูปแบบงาน:</label><p style="display:inline;">  {{ jobrequimentperson.TypeJobwant }}</p>
                </b-col>
              </b-row>

              <b-row>
                <b-col sm="8">
                  <label id="area">พื้นที่ที่ต้องการทำงาน:</label><p style="display:inline;">  {{ jobrequimentperson.workingArea }}</p>
                </b-col>
              </b-row>
              <b-row>
                <b-col>
                  <label id="startDate">วันที่ที่สามารถเริ่มงานได้:</label><p style="display:inline;">  {{ jobrequimentperson.dateStart }}</p>
                </b-col>
              </b-row>

              <b-row>
                <b-col>
                  <label id="salary">เงินเดือนที่ต้องการ:</label><p style="display:inline;">  {{ jobrequimentperson.salary }}</p>
                </b-col>
              </b-row>
            </b-card-text>
          </b-card>
        </b-card-group>
      </b-col>
    </b-row>

    <b-row>
      <b-col sm="6">
          <b-card-group deck class="mb-3" id="profile">
          <b-card border-variant="Default" header="ข้อมูลส่วนตัว" class="text-left" header-bg-variant="info" style="font-size: 18px">
            <b-card-text>
              <b-row>
                <b-col>
                  <label id="name">ชื่อ-นามสกุล: </label><p style="display:inline;"> {{ applicantList.m_Firstname }}  {{ applicantList.m_Lastname }}</p>
                </b-col>
              </b-row>

              <b-row>
                <b-col sm="6">
                  <label id="gender">เพศ:</label><p style="display:inline;"> {{ applicantList.m_Gender }}</p>
                </b-col>
              </b-row>

              <b-row>
                <b-col sm="6">
                  <label id="nationality">สัญชาติ:</label><p style="display:inline;"> {{ applicantList.m_Nationality }}</p>
                </b-col>

                <b-col sm="6">
                  <label id="religion">ศาสนา:</label><p style="display:inline;"> {{ applicantList.m_Religion }}</p>
                </b-col>
              </b-row>
              <b-row>
                <b-col sm="6">
                  <label id="birthday">วันเกิด:</label><p style="display:inline;"> {{ applicantList.m_Birthdate }}</p>
                </b-col>

                <b-col>
                  <label id="age">อายุ:</label><p style="display:inline;"> {{ applicantList.m_Age }}</p>
                </b-col>
              </b-row>

              <b-row>
                <b-col>
                  <label id="height">ส่วนสูง:</label><p style="display:inline;"> {{ applicantList.m_Height }}</p>
                </b-col>

                <b-col>
                  <label id="weight">น้ำหนัก:</label><p style="display:inline;"> {{ applicantList.m_Weight }}</p>
                </b-col>
              </b-row>
            </b-card-text>
          </b-card>
        </b-card-group>
      </b-col>

      <b-col sm="6">
        <b-card-group deck class="mb-3" id="education">
          <b-card border-variant="Default" header="ประวัติการศึกษา" class="text-left" header-bg-variant="info" style="font-size: 18px">
            <b-card-text>
              <b-row>
                <b-col>
                  <label id="status">สถานะปัจจุบัน:</label><p style="display:inline;"> {{ educationperson.currentState }}</p>
                </b-col>
              </b-row>

              <b-row>
                <b-col sm="6">
                  <label id="level">ระดับการศึกษา:</label><p style="display:inline;"> {{ educationperson.leveofEducation }}</p>
                </b-col>
              </b-row>

              <b-row>
                <b-col sm="6">
                  <label id="nameEducation">ชื่อสถานศึกษา:</label><p style="display:inline;"> {{ educationperson.academy }}</p>
                </b-col>

                <b-col sm="6">
                  <label id="educational">วุฒิการศึกษา:</label><p style="display:inline;"> {{ educationperson.educatonal }}</p>
                </b-col>
              </b-row>
              <b-row>
                <b-col sm="6">
                  <label id="majer">สาขาวิชา:</label><p style="display:inline;"> {{ educationperson.disciplines }}</p>
                </b-col>

                <b-col>
                  <label id="gade">เกรด:</label><p style="display:inline;"> {{ educationperson.grade }}.00</p>
                </b-col>
              </b-row>
            </b-card-text>
          </b-card>
        </b-card-group>
      </b-col>
    </b-row>

    <b-row>
      <b-col sm="6">
        <b-card-group deck class="mb-3" id="contact">
          <b-card border-variant="Default" header="ข้อมูลการติดต่อ" class="text-left" header-bg-variant="info" style="font-size: 18px">
            <b-card-text>
              <b-row>
                <b-col>
                  <label id="address">บ้านเลขที่:</label><p style="display:inline;"> {{ applicantList.m_Address.m_Number }}</p>
                </b-col>
              </b-row>

              <b-row>
                <b-col sm="6">
                  <label id="subdistrict">แขวง/ตำบล:</label><p style="display:inline;"> {{ applicantList.m_Address.m_SubDistrict }}</p>
                </b-col>

                <b-col sm="6">
                  <label id="district">เขต/อำเภอ:</label><p style="display:inline;"> {{ applicantList.m_Address.m_District }}</p>
                </b-col>
              </b-row>

              <b-row>
                <b-col sm="6">
                  <label id="province">จังหวัด:</label><p style="display:inline;"> {{ applicantList.m_Address.m_Province }}</p>
                </b-col>

                <b-col sm="6">
                  <label id="postCode">รหัสไปรษณีย์:</label><p style="display:inline;"> {{ applicantList.m_Address.m_PostalCode }}</p>
                </b-col>
              </b-row>
              <b-row>
                <b-col sm="6">
                  <label id="tel">เบอร์โทรศัพท์:</label><p style="display:inline;"> {{ applicantList.m_Phonenumber }}</p>
                </b-col>
              </b-row>

              <b-row>
                <b-col>
                  <label id="email">Email:</label><p style="display:inline;"> {{ applicantList.m_Email }}</p>
                </b-col>
              </b-row>
            </b-card-text>
          </b-card>
        </b-card-group>
      </b-col>
        <b-col sm="6">
          <b-card-group deck class="mb-3" id="history">
            <b-card border-variant="Default" header="ประวัติการทำงาน/ฝึกงาน" class="text-left" header-bg-variant="info" style="font-size: 18px">
              <b-card-text>
                <b-row>
                  <b-col>
                    <label id="status">ประสบการณ์ทำงาน:</label><p style="display:inline;"> {{ historyperson.workExerience }} ปี</p>
                  </b-col>

                  <b-col>
                    <label id="status">ชื่อบริษัท:</label><p style="display:inline;"> {{ historyperson.nameCompany }} </p>
                  </b-col>
                  </b-row>

                  <b-row>
                    <b-col sm="6">
                      <label id="level">ตำแหน่ง:</label><p style="display:inline;"> {{ historyperson.position }} </p>
                    </b-col>

                    <b-col sm="6">
                      <label id="level">เงินเดือน:</label><p style="display:inline;"> {{ historyperson.salary }} </p>
                    </b-col>
                  </b-row>

                  <b-row>
                    <b-col sm="8">
                      <label id="nameEducation">ระยะเวลา:</label><p style="display:inline;"> {{ historyperson.time }} </p>
                    </b-col>
                  </b-row>
                  <b-row>
                    <b-col sm="12">
                      <label id="majer">หน้าที่ที่รับผิดชอบ:</label><p style="display:inline;"> {{ historyperson.responsibiliti }} </p>
                    </b-col>
                  </b-row>

                  <b-row>
                    <b-col sm="12">
                      <label id="majer">ที่อยู่:</label><p style="display:inline;"> {{ historyperson.addressCompany }} </p>
                    </b-col>
                  </b-row>
                </b-card-text>
              </b-card>
            </b-card-group>
          </b-col>
      </b-row>
      <b-row>
        <b-col>
          <b-card-group deck class="mb-3" id="portfolio">
            <b-card border-variant="Default" header="ความสามารถและผลงาน" class="text-left" header-bg-variant="info" style="font-size: 18px">
              <b-card-text>
                <b-row>
                  <b-col sm="4">
                    <label id="status">อธิบายเกี่ยวกับตนเอง:</label><p style="display:inline;"> {{ Ability.aboutYourself }} </p>
                  </b-col>

                  <b-col sm="4">
                    <label id="status">ผลงาน:</label><p style="display:inline;"> {{ portfolioperson.timeProfolio }} </p>
                  </b-col>

                   <b-col sm="4">
                    <label id="status">ยานพาหนะ:</label><p style="display:inline;"> {{ portfolioperson.vehicle }} </p>
                  </b-col>
                  </b-row>

                  <b-row>
                  <b-col sm="4">
                    <label id="status">ทักษะและความสามารถพิเศษ:</label><p style="display:inline;"> {{ Ability.skill }} </p>
                  </b-col>

                  <b-col sm="4">
                    <label id="status">สถาบัน/หน่วยงาน/บริษัท:</label><p style="display:inline;"> {{ portfolioperson.institution }} </p>
                  </b-col>

                   <b-col sm="4">
                    <label id="status">ความสามารถในการขับขี่:</label><p style="display:inline;"> {{ portfolioperson.drivingAbility }} </p>
                  </b-col>
                  </b-row>

                  <b-row>
                  <b-col sm="4">
                    <label id="status">พิมพ์ดีด:</label><p style="display:inline;"> {{ Ability.wpm }} </p>
                  </b-col>

                  <b-col sm="4">
                    <label id="status">หลักสูตร:</label><p style="display:inline;"> {{ portfolioperson.course }} </p>
                  </b-col>
                  </b-row>
                </b-card-text>
              </b-card>
            </b-card-group>
        </b-col>
      </b-row>
      <b-row>
        <b-col sm="2">
          <div class="cancel"><button class="btn btn-danger">ไม่ผ่านการคัดเลือก</button></div>
        </b-col>

        <b-col sm="" class="btnapply">
          <div class="apply"><button class="btn btn-success">ผ่านการคัดเลือก</button></div>
        </b-col>
      </b-row>
    </b-container>
  </div>
</template>

<script>
// import Declare from '../Service/declarList'
// import companyService from '../Service/company'
import educationHistory from '../Service/educationHistory'
import applicants from '../Service/Applicants'
import jobrequireService from '../Service/JobRequirements'
import workhistoryservice from '../Service/workhistory'
import Ability from '../Service/Ability'
import portfolioService from '../Service/Portfolio'
export default {
  data () {
    return {
      declareList: {},
      currentCompany: {},
      educationperson: {},
      applicantList: {},
      jobrequimentperson: {},
      historyperson: {},
      Ability: {},
      portfolioperson: {}
    }
  },
  methods: {
    // getDeclares () {
    //   var company = companyService.getcompany(1)
    //   this.declareList = Declare.getDeclare(company, 1)
    //   console.log(this.declareList)
    // },
    // getCompanys () {
    //   this.currentConpany = companyService.getcompanies(1)
    //   console.log(this.companyService)
    // },
    getApplicant () {
      this.applicantList = applicants.getApplicant(1)
      console.log(this.applicantList)
    },
    getJobReq () {
      this.jobrequimentperson = jobrequireService.getJobReq(1)
    },
    geteducationHistory () {
      this.educationperson = educationHistory.geteducationHistory(1)
    },
    getWorkhis () {
      this.historyperson = workhistoryservice.getWorkhis(1)
    },
    getAbility () {
      this.Ability = Ability.getAbility(1)
    },
    getportfolio () {
      this.portfolioperson = portfolioService.getportfolio(1)
    }
  },
  mounted () {
    this.getApplicant()
    // this.getDeclares()
    // this.getCompanys()
    this.getJobReq()
    this.geteducationHistory()
    this.getWorkhis()
    this.getAbility()
    this.getportfolio()
  }
}
</script>

<style scoped>
@import '../css/Resume.css';
</style>
